function checkCollision(ax1,ay1,aw,ah, bx1,by1,bw,bh)
  ax2,ay2,bx2,by2 = ax1 + aw, ay1 + ah, bx1 + bw, by1 + bh
  return ax1 < bx2 and ax2 > bx1 and ay1 < by2 and ay2 > by1
end

sprites = {}
sprites['bg'] = {}
sprites['walkable'] = {}
sprites['char'] = {} -- [1] = player

dir = 1
image_dir = {}

falling = false
jumping = false
jumpframe = 0
maxjumpframe = 30

pot = 0
mx = 0
my = 0
quadr = 0
quadl = 0

function love.load()
	love.graphics.setMode(800, 600)
	love.graphics.setBackgroundColor(0, 0, 0)
	img = love.graphics.newImage('graphics/background.jpg')
	img:setWrap('repeat', 'repeat')
	table.insert(sprites['bg'], {src = img, pos ={150, 50}})
	img = love.graphics.newImage('graphics/ground.jpg')
	table.insert(sprites['walkable'], {src = img, pos ={150, 500}})
	image_dir[1] = love.graphics.newImage('graphics/owl1.png')
	image_dir[2] = love.graphics.newImage('graphics/owl2.png')
	table.insert(sprites['char'], {src = image_dir[1], pos ={350, 393}})
	love.graphics.setColor(255, 255, 255, 255)
	quadl = love.graphics.newQuad(0, 50, 150, 512, 512, 512)
	quadr = love.graphics.newQuad(660, 50, 140, 512, 512, 512)
end

function love.update(dt)
	ppos = sprites['char'][1].pos
	psrc = sprites['char'][1].src
	if love.keyboard.isDown('right') then
		mx = mx+1
		if dir == 2 then
			sprites['char'][1].src = image_dir[1]
			dir = 1
		end
	elseif love.keyboard.isDown('left') then
		mx = mx-1
		if dir == 1 then
			sprites['char'][1].src = image_dir[2]
			dir = 2
		end
	end
	for k,v in pairs(sprites['walkable']) do
		if checkCollision(ppos[1], ppos[2], psrc:getWidth(), psrc:getHeight(), v.pos[1]+mx , v.pos[2]+20-my, v.src:getWidth(), v.src:getHeight()) then
			falling = false
			jumping = false
			jumpframe = 0
		else
			falling = true
		end
	end
	if jumping then
		if jumpframe <= maxjumpframe and jumpframe ~= 0 then
			my = my-5-pot
			jumpframe = jumpframe + 1
			love.timer.sleep(pot/100)
		else
			jumpframe = 0
		end
	end
	if falling then
		my = my+1
	end
end

function love.keypressed(key, unicode)
	if ((key == 'up') and (jumping == false) and (jumpframe == 0)) then
		my = my-5-pot
		jumpframe = 1
		jumping = true
	end
end

function love.draw()
	for k,v in pairs(sprites['bg']) do
		love.graphics.push()
		love.graphics.translate(-mx, -my)
		love.graphics.draw(v.src, v.pos[1], v.pos[2])
		love.graphics.drawq(v.src, quadr, 660, 50)
		love.graphics.drawq(v.src, quadl, 0, 50)
		love.graphics.pop()
		
	end
	for k,v in pairs(sprites['walkable']) do
		love.graphics.push()
		love.graphics.translate(-mx, -my)
		love.graphics.draw(v.src, v.pos[1], v.pos[2])
		love.graphics.pop()
	end
	for k,v in pairs(sprites['char']) do
		love.graphics.draw(v.src, v.pos[1], v.pos[2])
	end
	love.graphics.print('X: '.. mx ..' Y: '.. my, 10, 10)
end